#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# System modules
import os
import runpy
from setuptools import setup, find_packages

def read_file(filename):
    with open(filename) as f:
        return f.read()

package = find_packages(exclude=['tests'])[0]

# run setup
setup(
    name=package,
    description="Pythonic access to the OpenSenseMap API",
    author="Yann Büchau",
    author_email="nobodyinperson@gmx.de",
    keywords="opensensemap,sensemap,api",
    license="GPLv3",
    version=runpy.run_path(os.path.join(package,"version.py"))\
        .get("__version__","0.0.0"),
    url='https://gitlab.com/tue-umphy/python3-sensemapi',
    long_description=read_file("README.md"),
    classifiers=[
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
    ],
    install_requires=['requests','iso8601'],
    test_suite='tests',
    packages=[package],
)
